Package io.dapr.v1

# Class DaprGrpc.DaprImplBase

java.lang.Object
io.dapr.v1.DaprGrpc.DaprImplBase

All Implemented Interfaces:
  `DaprGrpc.AsyncService`, `io.grpc.BindableService`

Enclosing class:
  DaprGrpc

public abstract static class DaprGrpc.DaprImplBase extends Object implements io.grpc.BindableService, DaprGrpc.AsyncService
Base class for the server implementation of the service Dapr.

     Dapr service provides APIs to user application to access Dapr building blocks.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DaprImplBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final io.grpc.ServerServiceDefinition`
  `bindService()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface io.dapr.v1.DaprGrpc.AsyncService

  `bulkPublishEvent, bulkPublishEventAlpha1, converseAlpha1, converseAlpha2, decryptAlpha1, deleteBulkState, deleteJob, deleteJobAlpha1, deleteJobsByPrefix, deleteJobsByPrefixAlpha1, deleteState, encryptAlpha1, executeActorStateTransaction, executeStateTransaction, getActorReminder, getActorState, getBulkSecret, getBulkState, getConfiguration, getConfigurationAlpha1, getJob, getJobAlpha1, getMetadata, getSecret, getState, getWorkflowAlpha1, getWorkflowBeta1, invokeActor, invokeBinding, invokeService, listActorReminders, listJobs, listJobsAlpha1, pauseWorkflowAlpha1, pauseWorkflowBeta1, publishEvent, purgeWorkflowAlpha1, purgeWorkflowBeta1, queryStateAlpha1, raiseEventWorkflowAlpha1, raiseEventWorkflowBeta1, registerActorReminder, registerActorTimer, resumeWorkflowAlpha1, resumeWorkflowBeta1, saveState, scheduleJob, scheduleJobAlpha1, setMetadata, shutdown, startWorkflowAlpha1, startWorkflowBeta1, subscribeActorEventsAlpha1, subscribeConfiguration, subscribeConfigurationAlpha1, subscribeTopicEventsAlpha1, subtleDecryptAlpha1, subtleEncryptAlpha1, subtleGetKeyAlpha1, subtleSignAlpha1, subtleUnwrapKeyAlpha1, subtleVerifyAlpha1, subtleWrapKeyAlpha1, terminateWorkflowAlpha1, terminateWorkflowBeta1, tryLockAlpha1, unlockAlpha1, unregisterActorReminder, unregisterActorRemindersByType, unregisterActorTimer, unsubscribeConfiguration, unsubscribeConfigurationAlpha1`

- ## Constructor Details

  - ### DaprImplBase

    public DaprImplBase()

- ## Method Details

  - ### bindService

    public final io.grpc.ServerServiceDefinition bindService()
    Specified by:
      `bindService` in interface `io.grpc.BindableService`